package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.WfProjectCwWtg;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * WfProjectCwWtgMapper接口
 *
 * @author hlf
 * @date 2021-08-04
 */
public interface WfProjectCwWtgMapper {
    /**
     * 查询WfProjectCwWtg
     *
     * @param wtgNo WfProjectCwWtgID
     * @return WfProjectCwWtg
     */
    public WfProjectCwWtg selectWfProjectCwWtgById(Long wtgNo);

    /**
     * 查询WfProjectCwWtg列表
     *
     * @param wfProjectCwWtg WfProjectCwWtg
     * @return WfProjectCwWtg集合
     */
    public List<WfProjectCwWtg> selectWfProjectCwWtgList(WfProjectCwWtg wfProjectCwWtg);

    /**
     * 新增WfProjectCwWtg
     *
     * @param wfProjectCwWtg WfProjectCwWtg
     * @return 结果
     */
    public int insertWfProjectCwWtg(WfProjectCwWtg wfProjectCwWtg);

    /**
     * 修改WfProjectCwWtg
     *
     * @param wfProjectCwWtg WfProjectCwWtg
     * @return 结果
     */
    public int updateWfProjectCwWtg(WfProjectCwWtg wfProjectCwWtg);

    /**
     * 删除WfProjectCwWtg
     *
     * @param wtgNo WfProjectCwWtgID
     * @return 结果
     */
    public int deleteWfProjectCwWtgById(Long wtgNo);

    /**
     * 批量删除WfProjectCwWtg
     *
     * @param wtgNos 需要删除的数据ID
     * @return 结果
     */
    public int deleteWfProjectCwWtgByIds(String[] wtgNos);

    int insertWfProjectCwWtgList(List<WfProjectCwWtg> wfProjectCwWtgList);

    List<WfProjectCwWtg> selectWfProjectCwWtgByWindplantNo(Long windplantNo);

    List<WfProjectCwWtg> selectWfProjectCwWtgByPojectNo(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo);

    List<WfProjectCwWtg> selectWfProjectCwWtgByCollectorwireNo(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo, @Param("collectorwireNo") Long collectorwireNo);

    int deleteWfProjectCwWtgByWindplantNo(Long windplantNo);

    int deleteWfProjectCwWtgByProjectNo(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo);

    int deleteWfProjectCwWtgByCollectorwireNo(@Param("windplantNo") Long windplantNo, @Param("projectNo") Long projectNo, @Param("collectorwireNo") Long collectorwireNo);
}
